Subject: bug#17507: Documentation for `add-text-property' and relatives

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Aug 2019 13:04:34 -0700

Eli Zaretskii <[email-masked]> writes:

> In Emacs, text properties are stored separately from the text itself.
> In particular, text properties of a string are not part of the string
> text, they live in a separate structure, and a string only maintains a
> reference to that structure.

Well, isn't that the same thing conceptually as the properties being in
the string object?  However things are arranged internally (with a
reference to a different struct or being in the in the same struct),
from the Emacs Lisp side of thing, the string object has properties.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no